<?php

/**
 * @author Gabriel <anhaia.gabriel@email.com>
 */
class Login extends CI_Controller
{
    public function index()
    {
        $this->view('login.index');
    }

    public function efetuar_login()
    {
        $this->load->model('Usuario_model');

        if (empty($_POST)) {
            redirect('/login');
        }

        $loginData = $this->Usuario_model->getUser([
            'email' => $_POST['email'],
            'senha' => md5($_POST['senha'])
        ]);

        if (empty($loginData)) {
            redirect('/login');
        }

        $this->session->set_userdata([
            'auth' => $loginData
        ]);

        redirect('/home');
    }
}